#!/usr/bin/env python3

from gi.repository import Gtk

class ComipoliPreference(Gtk.Dialog):
    def __init__(self, owner):
        Gtk.Dialog.__init__(self, transient_for=owner, title='Preference')
        self.owner = owner
        # esc
        self.esc = Gtk.CheckButton(label='Esc to Close', active=owner.app.esc_exit)
        # pdf
        self.pdf = Gtk.CheckButton(label='Enable PDF File', active=owner.app.is_pdf)
        # thumbnail_height
        self.thumb = Gtk.SpinButton.new_with_range(0.0, 10000.0, 1.0)
        self.thumb.set_value(owner.app.thumbnail_height)
        hbox = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL)
        hbox.pack_start(Gtk.Label('Thumbnail Height (px)'), False, False, 0)
        hbox.pack_end(self.thumb, False, False, 0)
        # cursor pos
        self.cpos = Gtk.SpinButton.new_with_range(0.0, 10000.0, 1.0)
        self.cpos.set_value(owner.app.cursor_change_pixel)
        label1 = Gtk.Label(label='Turn the page at Mouse Cursor Position (px)')
        hbox1 = Gtk.Box(orientation=Gtk.Orientation.HORIZONTAL)
        hbox1.pack_start(label1, False, False, 0)
        hbox1.pack_end(self.cpos, False, False, 0)
        # Pack
        self.vbox.pack_start(self.esc, False, False, 6)
        self.vbox.pack_start(self.pdf, False, False, 6)
        self.vbox.pack_start(hbox, False, False, 6)
        self.vbox.pack_start(hbox1, False, False, 6)
        self.show_all()

    def do_hide(self):
        self.owner.app.esc_exit = self.esc.get_active()
        self.owner.app.is_pdf = self.pdf.get_active()
        self.owner.app.thumbnail_height = self.thumb.get_value()
        self.owner.app.cursor_change_pixel = self.cpos.get_value()

